<template>
    <BModal
        v-model="mutedShow"
        title="Delete Article"
        :ok-variant="'danger'"
        :cancel-variant="'outline-secondary'"
        :button-size="'md'"
        :ok-title="'Yes'"
        :cancel-title="'      No                    '"
        centered
        @ok="deleteArticle"
    >
        Are you sure to delete Article?
    </BModal>
</template>

<script>
export default {
    name: 'DeleteArticleModal',
    props: {
        show: Boolean,
        slug: String,
    },

    data() {
        return {
            mutedShow: false,
        };
    },
    watch: {
        show() {
            this.mutedShow = this.$props.show;
        },
    },
    methods: {
        async deleteArticle() {
            console.log('article slug', this.slug);
            const response = await this.$root.axiosApiCall('Article Deleted', 'delete', `articles/${this.slug}`, {}, {});
            if (response && response.status == '200') {
                /* Success notification */
                this.$root.makeToastNotification('success', 'Well done! ', 'You Delete the article successfully');
            }
        },
    },
};
</script>

<style scoped></style>
